# Interface AxiosInterceptorManager<V>

interface AxiosInterceptorManager< V > {
use : V extends AxiosResponse <any, any>
? AxiosResponseInterceptorUse < V < V >>
: AxiosRequestInterceptorUse < V >;
clear (): void;
eject (id: number): void;
}

#### Type Parameters

- V

- Defined in node_modules/axios/index.d.ts:484

##### Index

### Properties

use

### Methods

clear
eject

## Properties

### use

use: V extends AxiosResponse <any, any>
? AxiosResponseInterceptorUse < V < V >>
: AxiosRequestInterceptorUse < V >

- Defined in node_modules/axios/index.d.ts:485

## Methods

### clear

- clear(): void

  #### Returns void

  - Defined in node_modules/axios/index.d.ts:487

### eject

- eject(id: number): void

  #### Parameters

  - id: number

  #### Returns void

  - Defined in node_modules/axios/index.d.ts:486